const int TAB1=20;
const int TAB2=9;
const int TAB3=5;
const int TAB4=8;
const int TAB5=2;
const int TAB6=4;
const int TAB7=7;
const int TAB8=9;
const int TAB9=11;
const int TAB10=12;
const int TAB11=6;

const int LEFTUPP=201;
const int LEFTDWN=200;
const int HORIZON=205;
const int RIGHTUP=187;
const int RIGHTDN=188;
const int VERTICA=186;
const int UTUPPER=203;
const int UTLOWER=202;
const int LVERHOR=204;
const int RVERHOR=185;

const int UP=18656;
const int DOWN=20704;
const int RIGHT=19936;
const int LEFT=19424;
const int TAB=3849;
const int ENTER=7181;
const int A_MAY=7745;
const int A_MIN=7777;

const int COL_TIT_FONT=WHITE;
const int COL_TIT_BACK=GREEN;
const int COL_LABEL_FONT=WHITE;
const int COL_LABEL_BACK=BLUE;
const int COL_DATO_FONT=YELLOW;
const int COL_DATO_BACK=BLACK;


char *tabla1[]={"00 00 0C EQUIPO CISCO",
"00 00 1B EQUIPO NOVELL",
"00 00 1D EQUIPO CABLETRON",
"00 00 93 EQUIPO PROTEON",
"00 00 A2 EQUIPO WELLFLEET",
"00 00 AA EQUIPO XEROX",
"00 00 C0 EQUIPO WESTERN DIGITAL",
"00 00 D8 EQUIPO 3COM",
"08 00 02 EQUIPO 3COM",
"08 00 09 EQUIPO HP",
"00 00 8A EQUIPO NESTAR",
"08 00 0B EQUIPO UNISYS",
"08 00 10 EQUIPO AT&T",
"08 00 1E EQUIPO APOLO",
"08 00 20 EQUIPO SUN",
"08 00 2B EQUIPO DEC",
"08 00 38 EQUIPO BULL",
"08 00 5A EQUIPO IBM",
"08 00 6E EQUIPO EXCELAN",
"FF FF FF DIRECCION BROADCAST"};


char *tabla2[]={"08 00 INFORMACION IP",
"08 05 INFORMACION X.25 CAPA 3",
"08 06 INFORMACION ARP",
"0A 00 INFORMACION IEEE802.3 XEROX",
"60 03 INFORMACION DECNET FASE 4",
"80 19 INFORMACION COMPUTADORAS APOLO",
"80 9D INFORMACION APPLETALK",
"81 4C INFORMACION SNMP",
"90 00 LOOPBACK"};


char *tabla3[]={"00 01 ETHERNET",
"00 06 IEEE802",
"00 07 ARCNET",
"00 09 LANSTAR",
"00 0B LOCALTALK"};

char *tabla4[]={"08 00 INFORMACION IP",
"08 05 INFORMACION X.25 CAPA 3",
"08 06 INFORMACION ARP",
"0A 00 INFORMACION IEEE 802.3 XEROX",
"60 03 INFORMACION DECNET FASE 4",
"80 19 INFORMACION COMPUTADORAS APOLO",
"80 9D INFORMACION APPLETALK",
"81 4C INFORMACION SNMP"};

char *tabla5[]={"00 01 SOLICITUD DE DIRECCION DE HARDWARE DESTINO",
"00 02 RESPUESTA DE DIRECCION DE HARDWARE DESTINO"};

char *tabla6[]={"0 RESERVADO",
"1 NO ASIGNADO",
"4 VERSION 4",
"5 MODO DE DATAGRAMA ST"};

char *tabla7[]={"000 DATOS NORMALES",
"001 DATOS DE PRIORIDAD",
"010 DATOS INMEDIATOS",
"011 DATOS FLASH",
"100 DATOS FLASH OVERRIDE",
"101 DATOS CRITICOS",
"111 DATOS DE CONTROL DE RED"};

char *tabla8[]={"00 RESERVARDO",
"01 PROTOCOLO ICMP",
"02 PROTOCOLO IGMP",
"03 ENRUTADOR A ENRUTADOR",
"06 PROTOCOLO TCP",
"08 PROTOCOLO EGP",
"09 PROTOCOLO IGP",
"11 PROTOCOLO UDP",
"58 PROTOCOLO IGRP"};

char *tabla9[]={"00 RESPUESTA DE ECO ICMP",
"03 DESTINO NO ALCANZABLE",
"04 FUENTE AHOGADA (SOURCE QUENCH)",
"05 REDIRECCION ICMP",
"08 SOLICITUD DE ECO ICMP",
"0B TIEMPO EXCEDIDO PARA UN DATAGRAMA",
"0C PROBLEMA DE PARAMETROS",
"0D SOLICITUD DE SELLO DE TIEMPO",
"0E RESPUESTA DE SELLO DE TIEMPO",
"11 SOLICITUD DE DIRECCION DE MASCARA",
"12 RESPUESTA DE DIRECCION DE MASCARA"};

char *tabla10[]={"00 00 RESERVADO",
"00 14 PUERTO PARA TRANSFERENCIA DE ARCHIVOS FTP-DATOS",
"00 15 PUERTO PARA TRANSFERENCIA DE ARCHIVOS FTP-CONTROL",
"00 17 PUERTO PARA TERMINAL REMOTA TELNET",
"00 19 PUERTO PARA TRANSFERENCIA DE CORREO SIMPLE",
"00 43 PUERTO PARA PROTOCOLO BOOTSTRAP DEL SERVIDOR BOOTPS",
"00 44 PUERTO PARA PROTOCOLO BOOTSTRAP DEL CLIENTE BOOTPC",
"00 45 PUERTO PARA TRANSFERENCIA DE ARCHIVOS TRIVIAL TFTP",
"00 A1 PUERTO PARA SNMP",
"00 A2 PUERTO PARA SNMPTRAP",
"00 B3 PUERTO PARA PROTOCOLO BGP"};


char *tabla11[]={"02  SEGMENTO DE SINCRONIZACION Y RECONOCIMIENTO NO VALIDO",
"12  RECONOCIMIENTO VALIDO Y SINCRONIZACION",
"10  RECONOCIMIENTO VALIDO",
"18  RECONOCIMIENTO VALIDO Y PUSH REQUEST",
"19  RECONOCIMIENTO VALIDO , PUSH REQUEST Y FINAL DE DATOS ENVIADOS",
"11  RECONOCIMIENTO VALIDO Y FINAL DE DATOS ENVIADOS",
"1C  SEGMENTO DE RECONOCIMIENTO VALIDO, PUSH REQUEST Y RESET DE SESION"};

//***************************** PANTALLA *******************************

#define LEFT_TOP  0xC9
#define RIGHT_TOP 0xBB
#define HORIZ     0xCD
#define VERT      0xBA
#define LEFT_BOT  0xC8
#define RIGHT_BOT 0xBC
#define SOLIDO    0xDB
#define DOT2      0xB2
#define DOT1      0xB1
#define DOT0      0xB0

void pantalla(void)
{
   char i, j;
   clrscr();
	_setcursortype(_NOCURSOR);
   textcolor(WHITE); textbackground(BLACK);
   /* draw the top of the box */
   putch(LEFT_TOP);
   for (i=0; i<78; i++)
	  putch(HORIZ);
   putch(RIGHT_TOP);
   /* draw the middle */
   for (i=0; i<22; i++)
   {
	  putch(VERT);
	  for (j=0; j<78; j++)
		 putch(' ');
	  putch(VERT);
   }
   /* draw the bottom */
   putch(LEFT_BOT);
   for (i=0; i<78; i++)
	  putch(HORIZ);
   putch(RIGHT_BOT);

  /* Primer barra */
  textcolor(LIGHTGREEN); textbackground(BLACK);
  for (i=3; i<23; i++){
	  gotoxy(20,i);
	  putch(DOT2);
	  gotoxy(21,i);
	  putch(DOT2);}

  for (i=5; i<21; i++){
	  gotoxy(14,i);
	  putch(DOT2);
	  gotoxy(15,i);
	  putch(DOT2);}

  textcolor(BLACK); textbackground(LIGHTCYAN);
  window(8,6,74,19);
  clrscr();

  window(1,1,80,25);
  textattr(63);
  gotoxy(22,25);
  cputs("Presione <Enter> para continuar.....");

  textcolor(GREEN); textbackground(BLACK);
  for (i=4; i<22; i++){
	  gotoxy(17,i);
	  putch(DOT1);
	  gotoxy(18,i);
	  putch(DOT1);}

  textcolor(LIGHTGREEN); textbackground(BLACK);
  for (i=6; i<20; i++){
	  gotoxy(19,i);
	  putch(DOT0);}

  textcolor(WHITE); textbackground(LIGHTCYAN);
  gotoxy(28,7);cputs("UNIVERSIDAD NACIONAL AUTONOMA DE MEXICO");
  gotoxy(23,8);cputs("ESCUELA NACIONAL DE ESTUDIOS PROFESIONALES ARAGON");
  textcolor(YELLOW);
  gotoxy(28,10);cputs("*** ANALIZADOR DE PROTOCOLOS TCP/IP ***");
  gotoxy(34,11);cputs("(Programa de demostracin)");
  textcolor(DARKGRAY);
  gotoxy(23,13);cputs("TESIS: ANALISIS DEL CONJUNTO DE PROTOCOLOS TCP/IP");
  gotoxy(31,14);cputs("Y SU FUNCION EN LA INTERCONEXION DE REDES");
  gotoxy(31,15);cputs("ETHERNET.");
  gotoxy(23,17);cputs("ALUMNO: GERARDO OSORNO SAAVEDRA.");
  gotoxy(23,18);cputs("ASESOR: ING. NARCISO ACEVEDO HERNANDEZ.");
	 getch();
	_setcursortype(_NORMALCURSOR);
}
