#include <stdio.h>
#include <bios.h>
#include <ctype.h>
#include <stdlib.h>
#include <dos.h>
#include <conio.h>
#include <string.h>
#include <alloc.h>
#include <iostream.h>
#include <math.h>
#include "analizad.h"


struct tcp_prot{
	 char *pf;
	 double pf_dec;
	 char *pd;
	 double pd_dec;
	 char *nsf;
	 double nsf_dec;
	 char *nsr;
	 double nsr_dec;
	 char *le;
	 char *bitsctrl;
	 char *tve;
	 char *check;
	 char *tdu;
	 char *to;
	 char *lo;
	 char *ts;
};

struct icmp_prot{
	 char *tipmsg_;
	 char *tipmsg;
	 char *codicmp;
	 char *check;
	 char *idsol;
	 char *numsec;
	 int byte_eco;
};

struct ip_prot{
	 char *ver;
	 char *lhip;
	 char *bpres;
	 char *bpres_;
	 char breta_[2];
	 char *breta;
	 char *brendi;
	 char brendi_[2];
	 char *bconf;
	 char bconf_[2];
	 char *ltip;
	 char *nidd;
	 char *bmf;
	 char bmf_[2];
	 char *bl_o;
	 char bl_o_[2];
	 char *offset;
	 char *t_vida;
	 char *proto;
	 char *proto_;
	 char *check;
	 char *dfip;
	 char *ddip;
};

struct arp_prot{
	 char *th;
	 char *th_;
	 char *tp;
	 char *tp_;
	 char *lh;
	 char *lp;
	 char *op;
	 char *op_;
	 char *dhf;
	 char *dpf;
	 char *dhd;
	 char *dpd;
};


struct ethernet{
   int   num;
   char *hora;
   char *tam;
   char *dd;
   char *ddf;
   char *df;
   char *dff;
   char *tipo;
   char *tipo_;
   char *fcs;
   struct arp_prot *arp;
   struct ip_prot *ip;
   struct icmp_prot *icmp;
   struct tcp_prot *tcp;
   int indic_ether;
   int indic_arp;
   int indic_ip;
   int indic_icmp;
   int indic_tcp;
};


//*************************************************************************
int limpia_input(FILE *input,FILE *output) //LIMPIA EL ARCHIVO DE ENTRADA.
{
char string[100],buffer[100];
char frame[100];
int cta=0;
char *checa;

while (fgets(buffer, sizeof(buffer), input)){       // Barre el archivo.
strcpy(string,buffer);
if(strstr(string,"Frame #")){
	fputs(string, output);
	cta++;}
else if(strstr(string,"0000-")){
	 do {                                                                      // Barre la trama.
		strncpy(frame,&(string[6]),48);
		frame[48]='\n';
		frame[49]='\0';
		fputs(frame, output);
		checa=fgets(buffer, sizeof(buffer), input);
		strcpy(string,buffer);
	 } while( strstr(string,"- ")!=0 && checa!=NULL);
	 };
}
return cta;
}; // *fin de limpia_input.


//*************************************************************************
char *busca_trama(char *dest,FILE *output,struct ethernet *ether,int id)  // BUSCA TRAMA # ID.
{
char buffer[90],string[90],apunta[4700],v_id[15];
char *p,*time1;
char *sice;
unsigned int x,long_,t;

*apunta='\0';
sprintf(v_id,"%s%d","Frame # ",id);
while(fgets(string, sizeof(string), output)){   // Barre el archivo.
t=strlen(string);
string[t-1]='\0';
strcpy(buffer,string);
if(strstr(buffer,v_id)){
	p=strtok(buffer," ");
	for(int i=0;i<5;i++) p=strtok(NULL," ");
	time1=strdup(p);
	time1[strlen(time1)]='\0';
	ether->num=id;
	ether->hora=strdup(time1);
	p=strtok(NULL," ");
	p=strtok(NULL," ");
	sice=strdup(p);
	sice[strlen(sice)]='\0';
	ether->tam=(char *) malloc(strlen(sice)+1+10);
	strcpy (ether->tam,sice);
	x=atoi(sice);
	x=ceil(x/16.0);
	for(int j=0;j<x;j++){                            // Barre la trama.
		fgets(buffer, sizeof(buffer), output);
		long_=strlen(buffer);
		buffer[long_-1]='\0';
		strcat(apunta,buffer);}
	strcpy(dest,apunta);
	break;
  };

};
free(sice);
free(time1);
return dest;
}; // fin de busca_trama.

//*************************************************************************
char *busca_tabla(char *cadena,int id) // Busca en tablas.
{
 char tempo1[90];     // Considerar este tamao respecto al renglon de las tablas.
char *tempo21;

 if(id==1){
	for(int i=0;i<TAB1;i++)
	   if(strstr(tabla1[i],cadena)) {strcpy(tempo1,tabla1[i]); tempo21=strdup(&(tempo1[9])); return tempo21;}}
 else if(id==2){
	for(int i=0;i<TAB2;i++)
	   if(strstr(tabla2[i],cadena)) {strcpy(tempo1,tabla2[i]); tempo21=strdup(&(tempo1[6])); return tempo21;}}
 else if(id==3){
	for(int i=0;i<TAB3;i++)
	   if(strstr(tabla3[i],cadena)) {strcpy(tempo1,tabla3[i]); tempo21=strdup(&(tempo1[6])); return tempo21;}}
 else if(id==4){
	for(int i=0;i<TAB4;i++)
	   if(strstr(tabla4[i],cadena)) {strcpy(tempo1,tabla4[i]); tempo21=strdup(&(tempo1[6])); return tempo21;}}
 else if(id==5){
	for(int i=0;i<TAB5;i++)
	   if(strstr(tabla5[i],cadena)) {strcpy(tempo1,tabla5[i]); tempo21=strdup(&(tempo1[6])); return tempo21;}}
 else if(id==6){
	for(int i=0;i<TAB6;i++)
	   if(strstr(tabla6[i],cadena)) {strcpy(tempo1,tabla6[i]); tempo21=strdup(&(tempo1[2])); return tempo21;}}
 else if(id==7){
	for(int i=0;i<TAB7;i++)
	   if(strstr(tabla7[i],cadena)) {strcpy(tempo1,tabla7[i]); tempo21=strdup(&(tempo1[4])); return tempo21;}}
 else if(id==8){
	for(int i=0;i<TAB8;i++)
	   if(strstr(tabla8[i],cadena)) {strcpy(tempo1,tabla8[i]); tempo21=strdup(&(tempo1[3])); return tempo21;}}
 else if(id==9){
	for(int i=0;i<TAB9;i++)
	   if(strstr(tabla9[i],cadena)) {strcpy(tempo1,tabla9[i]); tempo21=strdup(&(tempo1[3])); return tempo21;}}
 else if(id==10){
	for(int i=0;i<TAB10;i++)
	   if(strstr(tabla10[i],cadena)) {strcpy(tempo1,tabla10[i]); tempo21=strdup(&(tempo1[6])); return tempo21;}}
 else if(id==11){
	for(int i=0;i<TAB11;i++)
	   if(strstr(tabla11[i],cadena)) {strcpy(tempo1,tabla11[i]); tempo21=strdup(&(tempo1[3])); return tempo21;}}
;
return NULL;
};   // fin de funcion busca tabla.

//*************************************************************************
double hex_dec(char *cadena)  // FUNCION QUE CONVIERTE DE HEXA A DECIMAL.
{
char byte;
int len;
int dec[20];
double pot,cuenta;

len=strlen(cadena);
for(int i=0;i<len;i++){
	byte=cadena[i];
	switch(byte){
	  case '0': dec[i]=0; break;
	  case '1': dec[i]=1; break;
	  case '2': dec[i]=2; break;
	  case '3': dec[i]=3; break;
	  case '4': dec[i]=4; break;
	  case '5': dec[i]=5; break;
	  case '6': dec[i]=6; break;
	  case '7': dec[i]=7; break;
	  case '8': dec[i]=8; break;
	  case '9': dec[i]=9; break;
	  case 'A': dec[i]=10; break;
	  case 'B': dec[i]=11; break;
	  case 'C': dec[i]=12; break;
	  case 'D': dec[i]=13; break;
	  case 'E': dec[i]=14; break;
	  case 'F': dec[i]=15; break;
	  }
 }
 cuenta=0;
 for(int m=0;m<len;m++) {
	pot=pow(16,(len-m-1));
	cuenta=cuenta+dec[m]*pot;}
 return cuenta;
}; // fin de la rutina convierte de hexa a deci.

//*************************************************************************
char *hex_a_dec(char *dest,char *dir_ip)   // convierte de hex a dec la dir IP.
{
char apu1[16],tem[6],tem1[6];
char *reg;
double valor;
apu1[0]='\0';
for(int n=0;n<=3;n++){
strncpy(tem,&(dir_ip[n*3]),2);
tem[2]='\0';
valor=hex_dec(tem);
sprintf(tem1,"%.0f.",valor);
strcat(apu1,tem1);}
valor=strlen(apu1);
apu1[valor-1]='\0';
strcpy(dest,apu1);
return dest;
};

//*************************************************************************
char *conv_hex_bin(char *dest,char *cadena)  // FUNCION QUE CONVIERTE DE HEXA A DECIMAL.
{
char byte;
int len;
char bin[20];

bin[0]='\0';
len=strlen(cadena);
for(int i=0;i<len;i++){
	byte=cadena[i];
	switch(byte){
	  case '0': strcat(bin,"0000"); break;
	  case '1': strcat(bin,"0001"); break;
	  case '2': strcat(bin,"0010"); break;
	  case '3': strcat(bin,"0011"); break;
	  case '4': strcat(bin,"0100"); break;
	  case '5': strcat(bin,"0101"); break;
	  case '6': strcat(bin,"0110"); break;
	  case '7': strcat(bin,"0111"); break;
	  case '8': strcat(bin,"1000"); break;
	  case '9': strcat(bin,"1001"); break;
	  case 'A': strcat(bin,"1010"); break;
	  case 'B': strcat(bin,"1011"); break;
	  case 'C': strcat(bin,"1100"); break;
	  case 'D': strcat(bin,"1101"); break;
	  case 'E': strcat(bin,"1110"); break;
	  case 'F': strcat(bin,"1111"); break;
	  }
 }
 strcpy(dest,bin);
 return dest;
}; // fin de la rutina convierte de hexa a binario.

//*************************************************************************
void imprime_capa_ether(struct ethernet *ether) // Funcion imprime ETHERNET.
{
	textcolor (COL_TIT_FONT); textbackground (COL_TIT_BACK);gotoxy(19,4); cputs("*** ANALISIS DEL ENCABEZADO ETHERNET ***");
	gotoxy(27,5); cputs("(CAPA DE ENLACE DE DATOS)");
	textcolor (COL_LABEL_FONT); textbackground (COL_LABEL_BACK);
	gotoxy(5,8); cputs("DIRECCION DE HARDWARE DESTINO:");
	gotoxy(5,10); cputs("FABRICANTE DE LA INTERFACE DESTINO:");
	gotoxy(5,12); cputs("DIRECCION DE HARDWARE FUENTE:");
	gotoxy(5,14); cputs("FABRICANTE DE LA INTERFACE FUENTE:");
	gotoxy(5,16); cputs("TIPO DE PROTOCOLO EN CAMPO DE DATOS:");
	gotoxy(5,18); cputs("CHEQUEO DE REDUNDANCIA CRC-32:");

	textcolor (COL_DATO_FONT); textbackground (COL_DATO_BACK);
	gotoxy(45,8);
	cputs(ether->dd);
	gotoxy(45,10);
	cputs(ether->ddf);
	gotoxy(45,12);
	cputs(ether->df);
	gotoxy(45,14);
	cputs(ether->dff);
	gotoxy(45,16);
	cputs(ether->tipo);
	gotoxy(51,16);
	cputs(ether->tipo_);
	gotoxy(45,18);
	cputs(ether->fcs);

};                                                       // Fin de la funcion imprime campos de ETHERNET.

//*************************************************************************
void imprime_capa_arp(struct ethernet *ether) // Funcion imprime ARP.
{
	textcolor (COL_TIT_FONT); textbackground (COL_TIT_BACK);gotoxy(24,4); cputs("*** ANALISIS DEL MENSAJE ARP ***");
	textcolor (COL_LABEL_FONT); textbackground (COL_LABEL_BACK);
	gotoxy(5,8); cputs("TIPO DE HARDWARE:");
	gotoxy(5,10); cputs("TIPO DE PROTOCOLO:");
	gotoxy(5,12); cputs("LONGITUD DE LA DIRECCION DE HARDWARE:");
	gotoxy(5,14); cputs("LONGITUD DE LA DIRECCION DE PROTOCOLO:");
	gotoxy(5,16); cputs("OPERACION REALIZADA POR EL MENSAJE ARP:");

	textcolor (COL_DATO_FONT); textbackground (COL_DATO_BACK);
	gotoxy(25,8);
	cputs(ether->arp->th);
	gotoxy(58,8);
	cputs(ether->arp->th_);
	gotoxy(25,10);
	cputs(ether->arp->tp);
	gotoxy(58,10);
	cputs(ether->arp->tp_);
	gotoxy(58,12);
	cputs(ether->arp->lh);
	gotoxy(58,14);
	cputs(ether->arp->lp);
	gotoxy(25,18);
	cputs(ether->arp->op_);
};                                                               // Fin de la funcion imprime campos de ARP.


void imprime_capa_arp_1(struct ethernet *ether) // Funcion imprime ARP.
{

	textcolor (COL_TIT_FONT); textbackground (COL_TIT_BACK);gotoxy(24,4); cputs("*** ANALISIS DEL MENSAJE ARP ***");
	textcolor (COL_LABEL_FONT); textbackground (COL_LABEL_BACK);
	gotoxy(5,8); cputs("DIRECCION DE HARDWARE FUENTE:");
	gotoxy(5,10); cputs("DIRECCION DE PROTOCOLO FUENTE:");
	gotoxy(5,12); cputs("DIRECCION DE HARDWARE DESTINO:");
	gotoxy(5,14); cputs("DIRECCION DE PROTOCOLO DESTINO:");

	textcolor (COL_DATO_FONT); textbackground (COL_DATO_BACK);
	gotoxy(39,8);
	cputs(ether->arp->dhf);
	gotoxy(39,10);
	cputs(ether->arp->dpf);
	gotoxy(39,12);
	cputs(ether->arp->dhd);
	gotoxy(39,14);
	cputs(ether->arp->dpd);
};                                                               // Fin de la funcion imprime campos de ARP.


//*************************************************************************
void imprime_capa_ip(struct ethernet *ether) // Funcion imprime IP.
{

	textcolor (COL_TIT_FONT); textbackground (COL_TIT_BACK);gotoxy(23,4); cputs("*** ANALISIS DEL ENCABEZADO IP ***");
	gotoxy(33,5); cputs("(CAPA DE RED)");
	textcolor (COL_LABEL_FONT); textbackground (COL_LABEL_BACK);
	gotoxy(5,8); cputs("VERSION DEL PROTOCOLO IP:");
	gotoxy(5,10); cputs("LONGITUD DEL ENCABEZADO IP:");
	gotoxy(5,12); cputs("PRECEDENCIA DE LOS DATOS:");
	gotoxy(5,14); cputs("BIT DE RETARDO:");
	gotoxy(5,16); cputs("BIT DE RENDIMIENTO:");
	gotoxy(5,18); cputs("BIT DE CONFIABILIDAD:");

	textcolor (COL_DATO_FONT); textbackground (COL_DATO_BACK);

	gotoxy(41,8);
	cputs(ether->ip->ver);
	gotoxy(41,10);
	cputs(ether->ip->lhip);
	gotoxy(34,12);
	cputs(ether->ip->bpres_);
	gotoxy(41,12);
	cputs(ether->ip->bpres);
	gotoxy(23,14);
	cputs(ether->ip->breta_);
	gotoxy(41,14);
	cputs(ether->ip->breta);
	gotoxy(27,16);
	cputs(ether->ip->brendi_);
	gotoxy(41,16);
	cputs(ether->ip->brendi);
	gotoxy(29,18);
	cputs(ether->ip->bconf_);
	gotoxy(41,18);
	cputs(ether->ip->bconf);
};  // Fin de la funcion imprime campos de IP.

void imprime_capa_ip_1(struct ethernet *ether) // Funcion imprime IP.
{

	textcolor (COL_TIT_FONT); textbackground (COL_TIT_BACK);gotoxy(23,4); cputs("*** ANALISIS DEL ENCABEZADO IP ***");
	gotoxy(33,5); cputs("(CAPA DE RED)");
	textcolor (COL_LABEL_FONT); textbackground (COL_LABEL_BACK);
	gotoxy(5,8); cputs("LONGITUD TOTAL DEL DATAGRAMA IP:");
	gotoxy(5,10); cputs("NUMERO DE IDENTIFICACION DEL DATAGRAMA:");
	gotoxy(5,12); cputs("BIT DE NO FRAGMENTACION:");
	gotoxy(5,14); cputs("BIT DE MAS FRAGMENTOS:");
	gotoxy(5,16); cputs("POSICION DEL FRAGMENTO:");
	gotoxy(5,18); cputs("TIEMPO DE VIDA:");

	textcolor (COL_DATO_FONT); textbackground (COL_DATO_BACK);

	gotoxy(51,8);
	cputs(ether->ip->ltip);
	gotoxy(51,10);
	cputs(ether->ip->nidd);
	gotoxy(32,12);
	cputs(ether->ip->bmf_);
	gotoxy(51,12);
	cputs(ether->ip->bmf);
	gotoxy(32,14);
	cputs(ether->ip->bl_o_);
	gotoxy(51,14);
	cputs(ether->ip->bl_o);
	gotoxy(51,16);
	cputs(ether->ip->offset);
	gotoxy(51,18);
	cputs(ether->ip->t_vida);
};  // Fin de la funcion imprime campos de IP.

void imprime_capa_ip_2(struct ethernet *ether) // Funcion imprime IP.
{

	textcolor (COL_TIT_FONT); textbackground (COL_TIT_BACK);gotoxy(23,4); cputs("*** ANALISIS DEL ENCABEZADO IP ***");
	gotoxy(33,5); cputs("(CAPA DE RED)");
	textcolor (COL_LABEL_FONT); textbackground (COL_LABEL_BACK);
	gotoxy(5,8); cputs("PROTOCOLO EN CAMPO DE DATOS:");
	gotoxy(5,10); cputs("CHECKSUM DEL ENCABEZADO IP:");
	gotoxy(5,12); cputs("DIRECCION IP FUENTE:");
	gotoxy(5,14); cputs("DIRECCION IP DESTINO:");

	textcolor (COL_DATO_FONT); textbackground (COL_DATO_BACK);
	gotoxy(35,8);
	cputs(ether->ip->proto);
	gotoxy(51,8);
	cputs(ether->ip->proto_);
	gotoxy(51,10);
	cputs(ether->ip->check);
	gotoxy(51,12);
	cputs(ether->ip->dfip);
	gotoxy(51,14);
	cputs(ether->ip->ddip);

}; // Fin de la funcion imprime campos de IP.


//*************************************************************************
void imprime_capa_icmp(struct ethernet *ether) // Funcion imprime ICMP.
{
	char imp_[6];

	textcolor (COL_TIT_FONT); textbackground (COL_TIT_BACK);gotoxy(22,4); cputs("*** ANALISIS DEL ENCABEZADO ICMP ***");
	textcolor (COL_LABEL_FONT); textbackground (COL_LABEL_BACK);
	gotoxy(5,8); cputs("TIPO DE MENSAJE ICMP:");
	gotoxy(5,10); cputs("CODIGO:");
	gotoxy(5,12); cputs("CHECKSUM:");
	gotoxy(5,14); cputs("IDENTIFICADOR DE MENSAJE ICMP:");
	gotoxy(5,16); cputs("NUMERO DE SECUENCIA ICMP:");
	gotoxy(5,18); cputs("BYTES DE ECO:");

	textcolor (COL_DATO_FONT); textbackground (COL_DATO_BACK);
	gotoxy(27,8);
	cputs(ether->icmp->tipmsg_);
	gotoxy(39,8);
	cputs(ether->icmp->tipmsg);
	gotoxy(39,10);
	cputs(ether->icmp->codicmp);
	gotoxy(45,10);
	cputs("*SIN INFORMACION ADICIONAL*");
	gotoxy(39,12);
	cputs(ether->icmp->check);
	gotoxy(39,14);
	cputs(ether->icmp->idsol);
	gotoxy(39,16);
	cputs(ether->icmp->numsec);
	sprintf(imp_,"%d",ether->icmp->byte_eco);
	gotoxy(39,18);
	cputs(imp_);

};                                                       // Fin de la funcion imprime campos de ICMP.


//*************************************************************************
void imprime_capa_tcp(struct ethernet *ether) // Funcion imprime TCP.
{
	char deci[20];

	textcolor (COL_TIT_FONT); textbackground (COL_TIT_BACK);gotoxy(23,4); cputs("*** ANALISIS DEL ENCABEZADO TCP ***");
	gotoxy(30,5); cputs("(CAPA DE TRANSPORTE)");
	textcolor (COL_LABEL_FONT); textbackground (COL_LABEL_BACK);
	gotoxy(5,8); cputs("PUERTO FUENTE:");
	gotoxy(5,11); cputs("PUERTO DESTINO:");
	gotoxy(5,14); cputs("NUMERO DE SECUENCIA:");
	gotoxy(5,16); cputs("NUMERO DE RECONOCIMIENTO:");
	gotoxy(5,18); cputs("LONGITUD DEL ENCABEZADO:");

	textcolor (COL_DATO_FONT); textbackground (COL_DATO_BACK);

	gotoxy(25,8);
	sprintf(deci,"%.0f",ether->tcp->pf_dec);
	cputs(deci);
	gotoxy(25,9);
	cputs(  ether->tcp->pf);
	gotoxy(25,11);
	sprintf(deci,"%.0f",ether->tcp->pd_dec);
	cputs(deci);
	gotoxy(25,12);
	cputs(  ether->tcp->pd);
	gotoxy(33,14);
	cputs(  ether->tcp->nsf);
	gotoxy(60,14);
	sprintf(deci,"%.0f dec.",ether->tcp->nsf_dec);
	cputs(deci);
	gotoxy(33,16);
	cputs(  ether->tcp->nsr);
	gotoxy(60,16);
	sprintf(deci,"%.0f dec.",ether->tcp->nsr_dec);
	cputs(deci);
	gotoxy(33,18);
	cputs(  ether->tcp->le);
};


void imprime_capa_tcp_1(struct ethernet *ether) // Funcion imprime TCP.
{

	textcolor (COL_TIT_FONT); textbackground (COL_TIT_BACK);gotoxy(23,4); cputs("*** ANALISIS DEL ENCABEZADO TCP ***");
	gotoxy(30,5); cputs("(CAPA DE TRANSPORTE)");
	textcolor (COL_LABEL_FONT); textbackground (COL_LABEL_BACK);
	gotoxy(5,8); cputs("BITS DE CODIGO:");
	gotoxy(5,11); cputs("TAMAO DE VENTANA:");
	gotoxy(5,13); cputs("CHECKSUM TCP:");
	gotoxy(5,15); cputs("APUNTADOR URGENTE:");

	textcolor (COL_DATO_FONT); textbackground (COL_DATO_BACK);

	gotoxy(4,9);
	cputs(  ether->tcp->bitsctrl);
	gotoxy(33,11);
	cputs(  ether->tcp->tve);
	gotoxy(33,13);
	cputs(  ether->tcp->check);
	gotoxy(33,15);
	cputs(  ether->tcp->tdu);

};


void imprime_capa_tcp_2(struct ethernet *ether) // Funcion imprime TCP.
{


	textcolor (COL_TIT_FONT); textbackground (COL_TIT_BACK);gotoxy(23,4); cputs("*** ANALISIS DEL ENCABEZADO TCP ***");
	gotoxy(30,5); cputs("(CAPA DE TRANSPORTE)");
	textcolor (COL_LABEL_FONT); textbackground (COL_LABEL_BACK);
	gotoxy(5,8); cputs("OPCION TCP:");
	gotoxy(5,10); cputs("LONGITUD DE LA OPCION:");
	gotoxy(5,12); cputs("TAMAO MAXIMO DEL SEGMENTO TCP:");

	textcolor (COL_DATO_FONT); textbackground (COL_DATO_BACK);
	gotoxy(45,8);
	cputs( "TAMAO DEL SEGMENTO MAXIMO TCP");
	gotoxy(40,8);
	cputs(  ether->tcp->to);
	gotoxy(40,10);
	cputs(  ether->tcp->lo);
	gotoxy(40,12);
	cputs(  ether->tcp->ts);
};                                                               // Fin de la funcion imprime campos de TCP.


//*************************************************************************
void inicializa(struct ethernet *ether)  // Funcion inicializa estructura.
{
	ether->hora=NULL;
	ether->tam=NULL;
	ether->dd=NULL;
	ether->ddf=NULL;
	ether->df=NULL;
	ether->dff=NULL;
	ether->tipo=NULL;
	ether->tipo_=NULL;
	ether->fcs=NULL;

	ether->arp->th=NULL;
	ether->arp->th_=NULL;
	ether->arp->tp=NULL;
	ether->arp->tp_=NULL;
	ether->arp->lh=NULL;
	ether->arp->lp=NULL;
	ether->arp->op=NULL;
	ether->arp->op_=NULL;
	ether->arp->dhf=NULL;
	ether->arp->dpf=NULL;
	ether->arp->dhd=NULL;
	ether->arp->dpd=NULL;

	ether->ip->ver=NULL;
	ether->ip->lhip=NULL;
	ether->ip->bpres=NULL;
	ether->ip->bpres_=NULL;
	ether->ip->breta=NULL;
	ether->ip->brendi=NULL;
	ether->ip->bconf=NULL;
	ether->ip->ltip=NULL;
	ether->ip->nidd=NULL;
	ether->ip->bmf=NULL;
	ether->ip->bl_o=NULL;
	ether->ip->offset=NULL;
	ether->ip->t_vida=NULL;
	ether->ip->proto=NULL;
	ether->ip->proto_=NULL;
	ether->ip->check=NULL;
	ether->ip->dfip=NULL;
	ether->ip->ddip=NULL;

	ether->icmp->tipmsg=NULL;
	ether->icmp->tipmsg_=NULL;
	ether->icmp->codicmp=NULL;
	ether->icmp->check=NULL;
	ether->icmp->idsol=NULL;
	ether->icmp->numsec=NULL;

	ether->tcp->pf=NULL;
	ether->tcp->pd=NULL;
	ether->tcp->nsf=NULL;
	ether->tcp->nsr=NULL;
	ether->tcp->le=NULL;
	ether->tcp->bitsctrl=NULL;
	ether->tcp->tve=NULL;
	ether->tcp->check=NULL;
	ether->tcp->tdu=NULL;
	ether->tcp->to=NULL;
	ether->tcp->lo=NULL;
	ether->tcp->ts=NULL;

};   // Fin de la funcion inicializa estructura.


void inicializa_apun(struct ethernet *ether) // Funcion inicializa estructura.
{
	free(ether->hora);
	free(ether->tam);
	free(ether->dd);
	free(ether->ddf);
	free(ether->df);
	free(ether->dff);
	free(ether->tipo);
	free(ether->tipo_);
	free(ether->fcs);

if(ether->arp->th!=NULL){
	free(ether->arp->th);
	free(ether->arp->th_);
	free(ether->arp->tp);
	free(ether->arp->tp_);
	free(ether->arp->lh);
	free(ether->arp->lp);
	free(ether->arp->op);
	free(ether->arp->op_);
	free(ether->arp->dhf);
	free(ether->arp->dpf);
	free(ether->arp->dhd);
	free(ether->arp->dpd);};

if(ether->ip->ver!=NULL){
	free(ether->ip->ver);
	free(ether->ip->lhip);
	free(ether->ip->bpres);
	free(ether->ip->bpres_);
	free(ether->ip->breta);
	free(ether->ip->brendi);
	free(ether->ip->bconf);
	free(ether->ip->ltip);
	free(ether->ip->nidd);
	free(ether->ip->bmf);
	free(ether->ip->bl_o);
	free(ether->ip->offset);
	free(ether->ip->t_vida);
	free(ether->ip->proto);
	free(ether->ip->proto_);
	free(ether->ip->check);
	free(ether->ip->dfip);
	free(ether->ip->ddip);};

if(ether->icmp->tipmsg!=NULL){
	free(ether->icmp->tipmsg);
	free(ether->icmp->tipmsg_);
	free(ether->icmp->codicmp);
	free(ether->icmp->check);
	free(ether->icmp->idsol);
	free(ether->icmp->numsec);};

if(ether->tcp->pf!=NULL){
	free(ether->tcp->pf);
	free(ether->tcp->pd);
	free(ether->tcp->nsf);
	free(ether->tcp->nsr);
	free(ether->tcp->le);
	free(ether->tcp->bitsctrl);
	free(ether->tcp->tve);
	free(ether->tcp->check);
	free(ether->tcp->tdu);
	free(ether->tcp->to);
	free(ether->tcp->lo);
	free(ether->tcp->ts);};

};   // Fin de la funcion inicializa estructura.

//*************************************************************************
void analiza_trama(struct ethernet *ether,char *fr) // ANALIZA TRAMA.
{
char tempo[40];
char tempo3[100];
char *tempo1;
char *tempo2;
int len,var;
double tmp;

tempo1=(char *) malloc(90);


ether->indic_ether=0;
ether->indic_arp=0;
ether->indic_ip=0;
ether->indic_icmp=0;
ether->indic_tcp=0;

var=atoi(ether->tam);       // Ajusta el tamao de la ether.
var=(var*2)+var;
fr[var]='\0';

strncpy(tempo,fr,18);  // busca direccion destino.
tempo[17]='\0';
ether->dd=strdup(tempo);
tempo[8]='\0';
tempo2=busca_tabla(tempo,1);
if(tempo2) {strcpy(tempo1,tempo2); free(tempo2);}
else *tempo1='\0';

ether->ddf=strdup(tempo1);


strncpy(tempo,&(fr[18]),18);  // busca direccion fuente.
tempo[17]='\0';
ether->df=strdup(tempo);
tempo[8]='\0';
tempo2=busca_tabla(tempo,1);
if(tempo2) {strcpy(tempo1,tempo2); free(tempo2);}
else *tempo1='\0';
ether->dff=strdup(tempo1);


strncpy(tempo,&(fr[36]),6);  // busca tipo de protocolo en campo de datos.
tempo[5]='\0';
ether->tipo=strdup(tempo);
tempo2=busca_tabla(tempo,2);
if(tempo2) {strcpy(tempo1,tempo2); free(tempo2);}
else *tempo1='\0';
ether->tipo_=strdup(tempo1);

ether->indic_ether=1;   // Ajusta bandera .

if(strcmp(tempo,"08 06")==0){    //****** Comienza anlisis ARP.*******

	strncpy(tempo,&(fr[42]),6);  // busca tipo de hardware.
	tempo[5]='\0';
	ether->arp->th=strdup(tempo);
	tempo2=busca_tabla(tempo,3);
	if(tempo2) {strcpy(tempo1,tempo2); free(tempo2);}
	else *tempo1='\0';
	ether->arp->th_=strdup(tempo1);

	strncpy(tempo,&(fr[48]),6);  // busca tipo de protocolo.
	tempo[5]='\0';
	ether->arp->tp=strdup(tempo);
	tempo2=busca_tabla(tempo,4);
	if(tempo2) {strcpy(tempo1,tempo2); free(tempo2);}
	else *tempo1='\0';
	ether->arp->tp_=strdup(tempo1);

	strncpy(tempo,&(fr[54]),3);  // busca longitud de hardware.
	tempo[2]='\0';
	sprintf(tempo3,"%s BYTES",tempo);
	ether->arp->lh=strdup(tempo3);



	strncpy(tempo,&(fr[57]),3);  // busca longitud de protocolo.
	tempo[2]='\0';
	sprintf(tempo3,"%s BYTES",tempo);
	ether->arp->lp=strdup(tempo3);


	strncpy(tempo,&(fr[60]),6);  // busca tipo de operacion.
	tempo[5]='\0';
	ether->arp->op=strdup(tempo);
	tempo2=busca_tabla(tempo,5);
	if(tempo2) {strcpy(tempo1,tempo2); free(tempo2);}
	else *tempo1='\0';
	ether->arp->op_=strdup(tempo1);

	strncpy(tempo,&(fr[66]),18);  // busca direccion de hardware fuente.
	tempo[17]='\0';
	ether->arp->dhf=strdup(tempo);

	strncpy(tempo,&(fr[84]),12);  // busca direccion de protocolo fuente.
	tempo[11]='\0';
	hex_a_dec(tempo1,tempo);
	strcpy(tempo3,tempo1);
	ether->arp->dpf=strdup(tempo3);

	strncpy(tempo,&(fr[96]),18);  // busca direccion de hardware destino.
	tempo[17]='\0';
	if((strcmp(ether->arp->op,"00 01"))==0) {sprintf(tempo3,"%s *DIRECCION INVALIDA*",tempo); ether->arp->dhd=strdup(tempo3);}
	else ether->arp->dhd=strdup(tempo);


	strncpy(tempo,&(fr[114]),12);  // busca direccion de protocolo destino.
	tempo[11]='\0';
	hex_a_dec(tempo1,tempo);
	strcpy(tempo3,tempo1);
	ether->arp->dpd=strdup(tempo3);

	ether->indic_arp=1;   // Ajusta bandera .

	len=strlen(fr);                // busca  FCS en ether ethernet capa 2.
	strcpy(tempo,&(fr[len-12]));
	tempo[11]='\0';
	ether->fcs=strdup(tempo);

	free(tempo1);
return;
}                                                                        // Finaliza anlisis ARP.

 if(strcmp(tempo,"08 00")==0){    //****** Comienza anlisis IP.*******

	strncpy(tempo,&(fr[42]),2);  // busca version IP .
	tempo[1]='\0';
	tempo2=busca_tabla(tempo,6);
	if(tempo2) {strcpy(tempo1,tempo2); free(tempo2);}
	else *tempo1='\0';
	ether->ip->ver=strdup(tempo1);

	strncpy(tempo,&(fr[43]),2);  // busca longitud de encabezado IP.
	tempo[1]='\0';
	strcpy(tempo1,tempo);

	tmp=4*(atoi(tempo1));
	sprintf(tempo,"%.0f BYTES",tmp);
	ether->ip->lhip=strdup(tempo);

	strncpy(tempo,&(fr[45]),3);  // busca tipo de servicio.
	tempo[2]='\0';
	conv_hex_bin(tempo1,tempo);
	strcpy(tempo3,tempo1);

	strncpy(tempo,tempo3,3);  // busca bits de precedencia.
	tempo[3]='\0';
	ether->ip->bpres_=strdup(tempo);
	tempo2=busca_tabla(tempo,7);
	if(tempo2) {strcpy(tempo1,tempo2); free(tempo2);}
	else *tempo1='\0';
	ether->ip->bpres=strdup(tempo1);

	ether->ip->breta_[0]=tempo3[3];  ether->ip->breta_[1]='\0';
	if(tempo3[3]=='1') ether->ip->breta=strdup("ELEGIR RUTA DE MENOS RETARDO");
	else ether->ip->breta=strdup("ELEGIR RUTA DE RETARDO NORMAL");

	ether->ip->brendi_[0]=tempo3[4];        ether->ip->brendi_[1]='\0';
	if(tempo3[4]=='1') ether->ip->brendi=strdup("ELEGIR RUTA DE MEJOR RENDIMIENTO");
	else ether->ip->brendi=strdup("ELEGIR RUTA DE RENDIMIENTO NORMAL");

	ether->ip->bconf_[0]=tempo3[5]; ether->ip->bconf_[1]='\0';
	if(tempo3[5]=='1') ether->ip->bconf=strdup("ELEGIR RUTA MAS CONFIABLE");
	else ether->ip->bconf=strdup("ELEGIR RUTA DE CONFIABILIDAD NORMAL");

	strncpy(tempo,&(fr[48]),6);  // busca longitud total de IP .
	tempo[2]=tempo[3];
	tempo[3]=tempo[4];
	tempo[4]='\0';
	tmp=hex_dec(tempo);
	sprintf(tempo,"%.0f BYTES",tmp);
	ether->ip->ltip=strdup(tempo);

	strncpy(tempo,&(fr[54]),6);  // busca numero de ID de datagrama.
	tempo[2]=tempo[3];
	tempo[3]=tempo[4];
	tempo[4]='\0';
	tmp=hex_dec(tempo);
	sprintf(tempo,"%.0f dec.",tmp);
	ether->ip->nidd=strdup(tempo);

	strncpy(tempo,&(fr[60]),6);  // busca banderas y offset fragment.
	tempo[5]='\0';
	conv_hex_bin(tempo1,tempo);
	strcpy(tempo3,tempo1);

	ether->ip->bmf_[0]=tempo3[1];   ether->ip->bmf_[1]='\0';
	if(tempo3[1]=='1') ether->ip->bmf=strdup("NO FRAGMENTAR");
	else ether->ip->bmf=strdup("FRAGMENTAR");

	ether->ip->bl_o_[0]=tempo3[2];  ether->ip->bl_o_[1]='\0';
	if(tempo3[2]=='1') ether->ip->bl_o=strdup("MAS FRAGMENTOS");
	else ether->ip->bl_o=strdup("ULTIMO/UNICO FRAGMENTO");

	tmp=hex_dec(&(tempo3[3]));
	sprintf(tempo,"%.0f dec.",tmp);
	ether->ip->offset=strdup(tempo);  // Asigna el Offset fragment.

	strncpy(tempo,&(fr[66]),3);  // busca tiempo de vida.
	tempo[2]='\0';
	tmp=hex_dec(tempo);
	sprintf(tempo,"%.0f seg.",tmp);
	ether->ip->t_vida=strdup(tempo);

	strncpy(tempo,&(fr[69]),3);  // busca protocolo en campo de datos.
	tempo[2]='\0';
	ether->ip->proto=strdup(tempo);
	tempo2=busca_tabla(tempo,8);
	if(tempo2) {strcpy(tempo1,tempo2); free(tempo2);}
	else *tempo1='\0';
	ether->ip->proto_=strdup(tempo1);

	strncpy(tempo,&(fr[72]),6);  // busca checksum de encabezado IP.
	tempo[5]='\0';
	ether->ip->check=strdup(tempo);

	strncpy(tempo,&(fr[78]),12);  // busca direccion de protocolo fuente IP.
	tempo[11]='\0';
	hex_a_dec(tempo1,tempo);
	strcpy(tempo3,tempo1);
	ether->ip->dfip=strdup(tempo3);


	strncpy(tempo,&(fr[90]),12);  // busca direccion de protocolo destino IP.
	tempo[11]='\0';
	hex_a_dec(tempo1,tempo);
	strcpy(tempo3,tempo1);
	ether->ip->ddip=strdup(tempo3);

	ether->indic_ip=1;   // Ajusta bandera .

	if(strcmp(ether->ip->proto,"01")==0){  // Anlisis de protocolo ICMP.

		strncpy(tempo,&(fr[102]),3);  // busca tipo de mensaje ICMP.
		tempo[2]='\0';

		ether->icmp->tipmsg_=strdup(tempo);
		tempo2=busca_tabla(tempo,9);
		if(tempo2) {strcpy(tempo1,tempo2); free(tempo2);}
		else *tempo1='\0';
		ether->icmp->tipmsg=strdup(tempo1);


		strncpy(tempo,&(fr[105]),3);  // busca codigo ICMP.
		tempo[2]='\0';
		ether->icmp->codicmp=strdup(tempo);

		strncpy(tempo,&(fr[108]),6);  // busca checksum del encabezado ICMP.
		tempo[5]='\0';
		ether->icmp->check=strdup(tempo);

		strncpy(tempo,&(fr[114]),6);  // busca identificador de solicitud ICMP.
		tempo[5]='\0';
		ether->icmp->idsol=strdup(tempo);

		strncpy(tempo,&(fr[120]),6);  // busca numero de secuencia.
		tempo[5]='\0';
		ether->icmp->numsec=strdup(tempo);

		len=atoi(ether->tam);
		ether->icmp->byte_eco=len-46;


		ether->indic_icmp=1;   // Ajusta bandera .

	}                                                     // finaliza analisis de protocolo ICMP.

	 else if(strcmp(ether->ip->proto,"06")==0){  // Anlisis de protocolo TCP.


		strncpy(tempo,&(fr[102]),6);  // busca puerto fuente TCP.
		tempo[5]='\0';
		tempo2=busca_tabla(tempo,10);
		if(tempo2) {strcpy(tempo1,tempo2); free(tempo2);}
		else *tempo1='\0';
		tempo[2]=tempo[3];
		tempo[3]=tempo[4];
		tempo[4]='\0';
		tmp=hex_dec(tempo);
		ether->tcp->pf_dec=tmp;
		if(*tempo1)   ether->tcp->pf=strdup(tempo1);
		else {
			  if(tmp>=1025 && tmp<=65535) ether->tcp->pf=strdup("PUERTO ALEATORIO");
			  else ether->tcp->pf=strdup("NO IDENTIFICADO");}


		strncpy(tempo,&(fr[108]),6);  // busca puerto destino TCP.
		tempo[5]='\0';
		tempo2=busca_tabla(tempo,10);
		if(tempo2) {strcpy(tempo1,tempo2); free(tempo2);}
		else *tempo1='\0';
		tempo[2]=tempo[3];
		tempo[3]=tempo[4];
		tempo[4]='\0';
		tmp=hex_dec(tempo);
		ether->tcp->pd_dec=tmp;
		if(*tempo1)     ether->tcp->pd=strdup(tempo1);
		else {
			  if(tmp>=1025 && tmp<=64535) ether->tcp->pd=strdup("PUERTO ALEATORIO");
			  else ether->tcp->pd=strdup("NO IDENTIFICADO");}


		strncpy(tempo,&(fr[114]),12);  // busca numero de secuencia fuente.
		tempo[11]='\0';
		ether->tcp->nsf=strdup(tempo);
		tempo[2]=tempo[3];
		tempo[3]=tempo[4];
		tempo[4]=tempo[6];
		tempo[5]=tempo[7];
		tempo[6]=tempo[9];
		tempo[7]=tempo[10];
		tempo[8]='\0';
		tmp=hex_dec(tempo);
		ether->tcp->nsf_dec=tmp;

		strncpy(tempo,&(fr[126]),12);  // busca num. de secuencia de rec.
		tempo[11]='\0';
		ether->tcp->nsr=strdup(tempo);
		tempo[2]=tempo[3];
		tempo[3]=tempo[4];
		tempo[4]=tempo[6];
		tempo[5]=tempo[7];
		tempo[6]=tempo[9];
		tempo[7]=tempo[10];
		tempo[8]='\0';
		tmp=hex_dec(tempo);
		ether->tcp->nsr_dec=tmp;

		strncpy(tempo,&(fr[138]),2);  // busca longitud del encabezado TCP .
		tempo[1]='\0';
		tmp=4*atoi(tempo);
		sprintf(tempo,"%.0f BYTES",tmp);
		ether->tcp->le=strdup(tempo);

		strncpy(tempo,&(fr[141]),3);  // Interpreta bits de control.
		tempo[2]='\0';
		tempo2=busca_tabla(tempo,11);
		if(tempo2) {strcpy(tempo1,tempo2); free(tempo2);}
		else *tempo1='\0';
		ether->tcp->bitsctrl=strdup(tempo1);

		strncpy(tempo,&(fr[144]),6); //busca tamao de la ventana del emisor.
		tempo[2]=tempo[3];
		tempo[3]=tempo[4];
		tempo[4]='\0';
		tmp=hex_dec(tempo);
		sprintf(tempo,"%.0f BYTES",tmp);
		ether->tcp->tve=strdup(tempo);

		strncpy(tempo,&(fr[150]),6);  // busca checksum.
		tempo[5]='\0';
		ether->tcp->check=strdup(tempo);

		strncpy(tempo,&(fr[156]),6);  // busca tamao de datos urgentes.
		tempo[5]='\0';
		ether->tcp->tdu=strdup(tempo);

		strncpy(tempo,&(fr[162]),3);  // busca tipo de opciones.
		tempo[2]='\0';
		ether->tcp->to=strdup(tempo);

		strncpy(tempo,&(fr[165]),3);  // busca longitud de opciones.
		tempo[2]='\0';
		ether->tcp->lo=strdup(tempo);

		strncpy(tempo,&(fr[168]),6);  // busca tam. mx. del segmento.
		tempo[2]=tempo[3];
		tempo[3]=tempo[4];
		tempo[4]='\0';
		tmp=hex_dec(tempo);
		sprintf(tempo,"%.0f BYTES",tmp);

		ether->tcp->ts=strdup(tempo);

		ether->indic_tcp=1;   // Ajusta bandera .

	};                                              // finaliza analisis de protocolo TCP.
};
len=strlen(fr);                         // busca  FCS en ether ethernet capa 2.
strcpy(tempo,&(fr[len-13]));
tempo[12]='\0';
ether->fcs=strdup(tempo);
									 // finaliza anlisis de protocolo IP.
free(tempo1);
};                                                                       // fin de la funcion analiza trama.


// ************************************************************************
// Funcion para desplegar un marco.
void marco (int x1, int y1, int x2, int y2, int fg, int bg)
{
  int i;
  char c;

  textcolor (fg);
  textbackground (bg);
  c=LEFTUPP;
  gotoxy (x1,y1);
  putch (c);
  c=LEFTDWN;
  gotoxy (x1,y2);
  putch (c);
  c=HORIZON;
  for (i=x1+1;i<=x2-1;i++) {
	gotoxy (i,y1);
	putch (c);
	gotoxy (i,y2);
	putch (c);
  }
  c=RIGHTUP;
  gotoxy (x2,y1);
  putch (c);
  c=RIGHTDN;
  gotoxy (x2,y2);
  putch (c);
  c=VERTICA;
  for (i=y1+1;i<=y2-1;i++) {
	gotoxy (x1,i);
	putch (c);
	gotoxy (x2,i);
	putch (c);
  }
};

// ************************************************************************
void linea(int x)
{
for(int i=2;i<=79;i++) {gotoxy(i,x); putch(HORIZON);}
gotoxy(1,x); putch(LVERHOR);
gotoxy(80,x); putch(RVERHOR);

};

// ************************************************************************
void limpia_campos(void)
{
textcolor(WHITE); textbackground(BLACK);
gotoxy(42,21); cputs("        ");
gotoxy(36,22); cputs("               ");
gotoxy(40,23); cputs("             ");
gotoxy(69,21); cputs("     ");
};

// ************************************************************************
void limpia_pantal(void) // Limpia rea de datos.
{
for(int x=4;x<=19;x++){
	gotoxy(2,x);
   cputs("                                                                             ");}
};

// ************************************************************************
void main(void)                                                 // PROGRAMA PRINCIPAL.
{
FILE *input,*output;
char *apunta_trama;
char nom_arch[14];

char tempo5[7];
struct ethernet *trama;
int cta=0; int long_nom,carac;
int num_trama=1;
int avanza,id_pan;
unsigned int letter=0;

input=NULL;
output=NULL;
apunta_trama=(char*) malloc(4700);


trama=(ethernet*) malloc(sizeof(ethernet));
trama->ip=(ip_prot*) malloc(sizeof(ip_prot));
trama->arp=(arp_prot*) malloc(sizeof(arp_prot));
trama->icmp=(icmp_prot*) malloc(sizeof(icmp_prot));
trama->tcp=(tcp_prot*) malloc(sizeof(tcp_prot));

inicializa(trama);
pantalla();

textcolor(WHITE); textbackground(BLACK);
clrscr ();
window (1,1,80,25);
marco (1,1,80,24,WHITE,BLACK);
linea(3); linea(20);
textcolor (YELLOW); textbackground (BLACK );gotoxy(20,2);
cputs("** ANALIZADOR DE PROTOCOLOS (TCP/IP) **");
textcolor (YELLOW); textbackground (BLACK );gotoxy(4,21);
cputs("<A>RCHIVO:                TRAMA  No.:              <TAB>: TRAMA:       ");
textcolor (YELLOW); textbackground (BLACK );gotoxy(4,22);
cputs("TOTAL DE  TRAMAS:         HORA:                     , : AVANZA TRAMA.");
textcolor (YELLOW); textbackground (BLACK );gotoxy(4,23);
cputs("<Enter> : Salir.          LONGITUD:                ->,<-: AVANZA ANALISIS.");
 _setcursortype(_NOCURSOR);

do {
letter=_bios_keybrd(_NKEYBRD_READ);

if(letter==A_MAY || letter==A_MIN){
	_setcursortype(_NORMALCURSOR);
	gotoxy(15,21); cputs("            ");
	long_nom=0;
	do{ gotoxy(15+long_nom,21); carac=getche(); carac=toupper(carac); if(carac==8) {long_nom--; gotoxy(15+long_nom,21); cputs(" ");}
		else {nom_arch[long_nom]=carac; long_nom++;}} while(carac!='\r' && long_nom<=13 && long_nom>=0);
		nom_arch[long_nom-1]='\0';

	_setcursortype(_NOCURSOR);

	if ((input = fopen(nom_arch,"r")) == NULL) {
		 textcolor(YELLOW); textbackground(BLACK);
		 gotoxy(15,10);
		 cputs("Error de apertura o Nombre de archivo incorrecto.. ");
		 sound(1000);
		 delay(1000);
		 nosound();
		 gotoxy(15,10);
		 cputs("                                                   ");
		 gotoxy(15,21); cputs("            ");
		 continue;}
	else if ((output = fopen("temo.tmp", "w")) == NULL)
	 {
		clrscr();
		textcolor(LIGHTGRAY); textbackground(BLACK);
		cputs("Error al crear archivo temporal..");
		delay(1000);
		fclose(input);
		_exit(0); }

		cta=limpia_input(input,output);
		fclose(output);
		output = fopen("temo.tmp", "r");
		letter=0;
		textcolor(WHITE); textbackground(LIGHTGREEN);
		gotoxy(15,21); cputs(nom_arch);
		sprintf(tempo5,"%d",cta);
		gotoxy(22,22); cputs(tempo5);
		busca_trama(apunta_trama,output,trama,1);
		analiza_trama(trama,apunta_trama);
		gotoxy(42,21); cputs("1");
		gotoxy(36,22); cputs(trama->hora);
		textcolor (YELLOW); textbackground (BLACK );gotoxy(40,23);
		cputs("          ");
		textcolor(WHITE); textbackground(LIGHTGREEN);
		strcat(trama->tam," BYTES");
		gotoxy(40,23); cputs(trama->tam);
		textcolor(WHITE); textbackground(BLACK);
		id_pan=1;                      // Inicia con primer pantalla "Ether".
		num_trama=1;
}  // Fin de la opcion ARCHIVO.

else if(letter==UP && input!=NULL) {
	if(num_trama>=2){

		fseek(output,0,SEEK_SET);
		num_trama--;
		free(apunta_trama);
		inicializa_apun(trama);
		if(trama->tcp!=NULL) free(trama->tcp);
		if(trama->icmp!=NULL) free(trama->icmp);
		if(trama->arp!=NULL) free(trama->arp);
		if(trama->ip!=NULL) free(trama->ip);
		free(trama);

		trama=(ethernet*) malloc(sizeof(ethernet));
		trama->ip=(ip_prot*) malloc(sizeof(ip_prot));
		trama->arp=(arp_prot*) malloc(sizeof(arp_prot));
		trama->icmp=(icmp_prot*) malloc(sizeof(icmp_prot));
		trama->tcp=(tcp_prot*) malloc(sizeof(tcp_prot));
		apunta_trama=(char*) malloc(4700);

		if(trama==NULL || trama->ip==NULL || trama->arp==NULL || trama->icmp==NULL || trama->tcp==NULL || apunta_trama==NULL)
		{cputs("memoria agotada........");
		 abort();};

		inicializa(trama);
		busca_trama(apunta_trama,output,trama,num_trama);
		analiza_trama(trama,apunta_trama);
		limpia_campos();
		textcolor(WHITE); textbackground(LIGHTGREEN);
		sprintf(tempo5,"%d",num_trama);
		gotoxy(42,21); cputs(tempo5);
		gotoxy(36,22); cputs(trama->hora);
		textcolor (YELLOW); textbackground (BLACK );gotoxy(40,23);
		cputs("          ");
		textcolor(WHITE); textbackground(LIGHTGREEN);
		strcat(trama->tam," BYTES");
		gotoxy(40,23); cputs(trama->tam);
		id_pan=1;
		textcolor(WHITE); textbackground(BLACK);}}

else if(letter==DOWN && input!=NULL) {
	if(num_trama<cta){
		num_trama++;
		limpia_campos();
		free(apunta_trama);
		inicializa_apun(trama);
		if(trama->tcp!=NULL) free(trama->tcp);
		if(trama->icmp!=NULL) free(trama->icmp);
		if(trama->arp!=NULL) free(trama->arp);
		if(trama->ip!=NULL) free(trama->ip);
		free(trama);

		trama=(ethernet*) malloc(sizeof(ethernet));
		trama->ip=(ip_prot*) malloc(sizeof(ip_prot));
		trama->arp=(arp_prot*) malloc(sizeof(arp_prot));
		trama->icmp=(icmp_prot*) malloc(sizeof(icmp_prot));
		trama->tcp=(tcp_prot*) malloc(sizeof(tcp_prot));
		apunta_trama=(char*) malloc(4700);
		inicializa(trama);
		busca_trama(apunta_trama,output,trama,num_trama);
		analiza_trama(trama,apunta_trama);
		limpia_campos();
		textcolor(WHITE); textbackground(LIGHTGREEN);
		sprintf(tempo5,"%d",num_trama);
		gotoxy(42,21); cputs(tempo5);
		gotoxy(36,22); cputs(trama->hora);
		textcolor (YELLOW); textbackground (BLACK );gotoxy(40,23);
		cputs("          ");
		textcolor(WHITE); textbackground(LIGHTGREEN);
		strcat(trama->tam," BYTES");
		gotoxy(40,23); cputs(trama->tam);
		id_pan=1;
		textcolor(WHITE); textbackground(BLACK);}}


else if(letter==RIGHT && input!=NULL) {


  if(id_pan==1 && trama->indic_arp==1) { limpia_pantal(); imprime_capa_arp(trama); id_pan=2;}
  else if(id_pan==1 && trama->indic_ip==1) {limpia_pantal(); imprime_capa_ip(trama); id_pan=4;}
  else if(id_pan==2 && trama->indic_arp==1) {limpia_pantal(); imprime_capa_arp_1(trama); id_pan=3;}
  else if(id_pan==4) {limpia_pantal(); imprime_capa_ip_1(trama); id_pan=5;}
  else if(id_pan==5) {limpia_pantal(); imprime_capa_ip_2(trama); id_pan=6;}
  else if(id_pan==6 && trama->indic_icmp==1) {limpia_pantal(); imprime_capa_icmp(trama); id_pan=7;}
  else if(id_pan==6 && trama->indic_tcp==1) {limpia_pantal(); imprime_capa_tcp(trama); id_pan=8;}  else if(id_pan==1 && trama->indic_ip==1) {limpia_pantal(); imprime_capa_ip(trama); id_pan=3;}
  else if(id_pan==8) { limpia_pantal(); imprime_capa_tcp_1(trama); id_pan=9;}
  else if(id_pan==9 && strcmp(trama->tcp->le,"24 BYTES")==0) {limpia_pantal(); imprime_capa_tcp_2(trama); id_pan=10;}}



else if(letter==LEFT && input!=NULL) {

  if(id_pan==2 ) { limpia_pantal(); imprime_capa_ether(trama); id_pan=1;}
  else if(id_pan==3 ) {limpia_pantal(); imprime_capa_arp(trama); id_pan=2;}
  else if(id_pan==4 ) {limpia_pantal(); imprime_capa_ether(trama); id_pan=1;}
  else if(id_pan==5 ) {limpia_pantal(); imprime_capa_ip(trama); id_pan=4;}
  else if(id_pan==6 ) {limpia_pantal(); imprime_capa_ip_1(trama); id_pan=5;}
  else if(id_pan==7 ) {limpia_pantal(); imprime_capa_ip_2(trama); id_pan=6;}
  else if(id_pan==8 ) {limpia_pantal(); imprime_capa_ip_2(trama); id_pan=6;}
  else if(id_pan==9 ) { limpia_pantal(); imprime_capa_tcp(trama); id_pan=8;}
  else if(id_pan==10) {limpia_pantal(); imprime_capa_tcp_1(trama); id_pan=9;}}


else if(letter==TAB && input!=NULL) {

	textcolor (YELLOW); textbackground (BLACK);
	_setcursortype(_NORMALCURSOR);
	long_nom=0;
	do{ gotoxy(69+long_nom,21); carac=getche(); carac=toupper(carac); if(carac==8) {long_nom--; gotoxy(69+long_nom,21); cputs(" ");}
		else {tempo5[long_nom]=carac; long_nom++;}} while(carac!='\r' && long_nom<=4);
		tempo5[long_nom-1]='\0';
		avanza=atoi(tempo5);

	if(avanza>=1 && avanza<=cta){
		num_trama=avanza;
		fseek(output,0,SEEK_SET);
		limpia_campos();
		free(apunta_trama);
		inicializa_apun(trama);
		if(trama->tcp!=NULL) free(trama->tcp);
		if(trama->icmp!=NULL) free(trama->icmp);
		if(trama->arp!=NULL) free(trama->arp);
		if(trama->ip!=NULL) free(trama->ip);
		free(trama);

		trama=(ethernet*) malloc(sizeof(ethernet));
		trama->ip=(ip_prot*) malloc(sizeof(ip_prot));
		trama->arp=(arp_prot*) malloc(sizeof(arp_prot));
		trama->icmp=(icmp_prot*) malloc(sizeof(icmp_prot));
		trama->tcp=(tcp_prot*) malloc(sizeof(tcp_prot));
		apunta_trama=(char*) malloc(4700);

		inicializa(trama);
		busca_trama(apunta_trama,output,trama,num_trama);
		analiza_trama(trama,apunta_trama);
		textcolor(WHITE); textbackground(LIGHTGREEN);
		sprintf(tempo5,"%d",num_trama);
		gotoxy(42,21); cputs(tempo5);
		gotoxy(36,22); cputs(trama->hora);
		textcolor (YELLOW); textbackground (BLACK );gotoxy(40,23);
		cputs("          ");
		textcolor(WHITE); textbackground(LIGHTGREEN);
		strcat(trama->tam," BYTES");
		gotoxy(40,23); cputs(trama->tam);
		textcolor(WHITE); textbackground(BLACK);
		_setcursortype(_NOCURSOR);}}

	if(input!=NULL && id_pan==1){ limpia_pantal(); imprime_capa_ether(trama); }

} while(letter!=ENTER);

_setcursortype(_NORMALCURSOR);
textcolor(LIGHTGRAY); textbackground(BLACK);
clrscr();
fclose(input);
fclose(output);
remove("temo.tmp");
}

